> ## Documentation Index
> Fetch the complete documentation index at: https://docs.generect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for companies

> Search for companies matching your ICP criteria, such as location, industry, revenue and more.

Parallel requests limit: 20 requests

Recommended timeout: 300 seconds

## Use Case:

Build a comprehensive list of companies to target for business opportunities.

## Possible values:

* `"num_of_followers"`: `["1-50", "51-100", "101-1000", "1001-5000", "5001+"]`

* `"headcounts"`: `["1-10", "11-50", "51-200", "201-500", "501-1000", "1001-5000", "5001-10000", "10 000+"]`

## Additional information:

* 20 Parallel processing supported (multiple threads)

* 1 company from results list = 1 credit

* First 1600 companies will be searched

* Companies with 0 employees and bad/null website (except cases when company hosted that `website-aggregator`) will not be shown

  * List of bad websites is listed below:

  * `'bit.ly', 'goo.gl', 'linktr.ee', 'buff.ly', 'sites.google.com', 'meta.com', 'facebook.com', 'instagram.com', 'linkedin.com', 'youtube.com', 'meetup.com', 'wixsite.com', 'wordpress.com', 'twitter.com', 'microage.ca', 'google.com', 'business.site', 'vimeo.com', 'medium.com', 'behance.net', 'github.io', 'calendly.com', 'upwork.com'`

* Companies Headcount:

  * Company headcount is shown as headcount text field from l-in/about page.

  * In the case of filtering companies on sales navigator, it filters depending on the exact headcount (exact number of employees).

  * e.g. Company A has 600 employees on L-In, and states its headcount range is 1000-5000.

    * 1\. Sales Navigator will show this company when filtering 500-1000 companies

    * 2\. L-In will show exact headcount as 600 and range-headcount as 1000-5000

    * 3\. This endpoint will output headcount as p.2

* Supported locations:

  * [List of Supported Locations](https://docs.google.com/spreadsheets/d/1pNW018ALP5NIenl7nnke8tqJmMsOZGkVdtt1MO9_yQU/edit#gid=0).

  * In case of inputting a location which is not listed you will receive a `ValidationError` (free request), with Hint what location you need to edit.

* Supported industries:

  * [List of Supported Industries](https://docs.google.com/spreadsheets/d/1pNW018ALP5NIenl7nnke8tqJmMsOZGkVdtt1MO9_yQU/edit#gid=1393250894). Use `industry_name` column as input.

  * In case of inputting an industry which is not listed you will receive a `ValidationError` (free request), with Hint what industry you need to edit.

* Supported departments:

  * [List of Supported departments](https://docs.google.com/spreadsheets/d/1pNW018ALP5NIenl7nnke8tqJmMsOZGkVdtt1MO9_yQU/edit#gid=358444705).

* limit\_by rules:

  * limit\_by should be > 1 and \< 1600

* offset\_by rules:

  * offset\_by should be > 0 and \< 1599

* Limit\_by, offset\_by additional info:

  * Without limit\_by and offset\_by parameters all companies from filters will be searched

  * Unsutable (bad website, or 0 headcount) companies will not be skipped with limit\_by logic, but won't be charged or outputted.

    * e.g. `limit_by = 5`, `offset_by = 200`, and 3 of these companies do not have websites. Then you will see only 2 companies (despite the fact limit\_by = 5).

    * Best Practice to use (Limit\_by + Offset\_by) is implementing pagination for Researcher's workflow. For example, page 1 stands for 0-25 results, page 2 for 25-50, etc.

* keywords logic:

  * keywords from list of inputs will be separated in SN search header with "OR" parameter:

    * e.g. `["academy", "technician"]` will be passed to SN as "(academy) OR (technician)".

    * Except cases when 1 word is passed. e.g. `["world"]` will be passed to SN as `"world"` (without parentheses)
  * you are able to pass discrete logic, for example:

    * `["(education AND management)", "(project AND office)"]`

      * then SN search will look like: "(education AND management) OR (project AND office)"
    * same with NOT, OR, AND operators
  * validations:

    * keyword length must be {'<='} 40 symbols

    * keywords count must be {'<='} 10

    * keywords must be `without special characters (!@#$%^\\\\*(){}[]/\|)`

* headcount parameters:

  * List if supported headcounts `["1-10", "11-50", "51-200", "201-500", "501-1000", "1001-5000", "5001-10000", "10 000+"]`

* Caching:

  * For cases when companies appear in a different order or are duplicated with each subsequent request (after a certain period of time), caching of the order of companies has been added.

  * The actuality of the company data is 100%.

  * The order remains valid for the next 30 days, from 1 request.

  * To check when the order of companies was cached, the original key time\_cached (type: timestamp) is used. If this is the first request that was not taken from the cache, then `time_cached=null`.

  * Results caching depends only on the match of the following parameters: `headcounts`, `locations`, `industries`, `keywords`

* Custom Parameter:

  * With a custom parameter you will receive 200 responses specifying that you need to refine your search, for cases when the count of companies by that criteria is > 1600. Such requests are also paid (fixed to 3 credits). Example of the output:

```json theme={null}
{
    "companies": [],
    "message": "Please refine your search",
    "amount": 3,
    "results_count": 198806
}

```

* parameter `strict`

  * with the strict parameter: `["company_locations"]` will perform post-filtering on a strict occurrence of `company_locations`.
* parameter `exclude_ids`

  * exclude companies by linkedin\_id or linkedin\_urn ([http://linkedin.com/company/company\_urn/](http://linkedin.com/company/company_urn/))
* parameter `exclude_domains`

  * exclude companies by domains


## OpenAPI

````yaml post /api/linkedin/companies/by_icp/
openapi: 3.0.3
info:
  title: Generect API
  description: >-
    Welcome to the Generect API documentation. Here we will help you integrate
    and use our API.


    API base url: `api.generect.com`  

    Protocol: `HTTPS`


    # Authentication


    Firstly, add a `API Token` to the enviroment variables `auth_token` in
    `Settings` tab.


    # Rate limits


    Credits: You can request data depending on your data plan and credit
    balance. The default is 10000/month. The estimated number of credits to
    spend is based on the complexity of the query and the number of results. The
    amount spent can be increased by additional data flags in the queries.


    # Note


    _Ensure that you are add a "/" to the end of url._
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.generect.com
security:
  - apiKey: []
tags:
  - name: 1. Auth
    description: Login and get user info
  - name: 2. Transactions
    description: List of latest transactions in your account
  - name: 3. Leads
    description: Fetch information about leads by _link/name/ICP_.
  - name: 4. Companies
    description: Fetch information about companies by link/name/ICP.
paths:
  /api/linkedin/companies/by_icp/:
    post:
      tags:
        - 4. Companies
      summary: Get List of Companies by ICP
      description: >-
        Search for companies matching your ICP criteria, such as location,
        industry, revenue and more.
      operationId: getListOfCompaniesByIcp
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                company_types:
                  type: array
                  items:
                    type: string
                    example: Public Company
                  example:
                    - Public Company
                    - Self Employed
                    - Self Owned
                    - Privately Held
                    - Partnership
                get_max_companies:
                  type: boolean
                  example: true
                headcounts:
                  type: array
                  items:
                    type: string
                    example: 201-500
                  example:
                    - 201-500
                industries:
                  type: array
                  items:
                    type: string
                    example: Software Development
                  example:
                    - Software Development
                keywords:
                  type: array
                  items:
                    type: string
                    example: platform
                  example:
                    - platform
                    - marketplace
                limit_by:
                  type: number
                  example: 3
                locations:
                  type: array
                  items:
                    type: string
                    example: United States
                  example:
                    - United States
                num_of_followers:
                  type: array
                  items:
                    type: string
                    example: 5001+
                  example:
                    - 5001+
                offset_by:
                  type: number
                  example: 0
                revenues_range:
                  type: object
                  properties:
                    max:
                      type: number
                      example: 1
                    min:
                      type: number
                      example: 0
                website_blacklist:
                  type: boolean
                  example: false
            examples:
              Get List of Companies by ICP:
                value:
                  company_types:
                    - Public Company
                    - Self Employed
                    - Self Owned
                    - Privately Held
                    - Partnership
                  get_max_companies: true
                  headcounts:
                    - 201-500
                  industries:
                    - Software Development
                  keywords:
                    - platform
                    - marketplace
                  limit_by: 3
                  locations:
                    - United States
                  num_of_followers:
                    - 5001+
                  offset_by: 0
                  revenues_range:
                    max: 1
                    min: 0
                  website_blacklist: false
      responses:
        '200':
          description: 200 / 200 (Companies not found)
          headers:
            Allow:
              schema:
                type: string
                example: POST, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '88'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 22:18:01 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Server-Timing:
              schema:
                type: string
                example: >-
                  TimerPanel_utime;dur=432.78699999996206;desc="User CPU time",
                  TimerPanel_stime;dur=165.48099999999977;desc="System CPU
                  time", TimerPanel_total;dur=598.2679999999618;desc="Total CPU
                  time",
                  TimerPanel_total_time;dur=6539.156198501587;desc="Elapsed
                  time", SQLPanel_sql_time;dur=104.11524772644043;desc="SQL 61
                  queries", CachePanel_total_time;dur=0;desc="Cache 0 Calls"
            Vary:
              schema:
                type: string
                example: Accept, Origin
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
            djdt-store-id:
              schema:
                type: string
                example: 1ff04b8b7f2e46fe8719a56c58b38f64
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: number
                    example: -3
                  companies:
                    type: array
                    items:
                      type: object
                      properties:
                        background_image:
                          type: string
                          example: >-
                            https://media.licdn.com/dms/image/v2/D561BAQH-LSq7Ba0bIw/company-background_10000/company-background_10000/0/1661361722654/platform_science_cover?e=1733781600&v=beta&t=nNQUFM5YTQNAeH2xQ4IN1g00oUwIxL6LmP-80VJrB2g
                        company_type:
                          type: string
                          example: Privately Held
                        crunchbase_urn:
                          type: string
                          example: platform-science
                        description:
                          type: string
                          example: >-
                            Since 2015, Platform Science has connected fleets
                            across the nation with the tools they need to take
                            control of their technology. As part of our ongoing
                            mission to transform transportation, we've made it
                            easy for fleets to develop, deploy, and manage their
                            commercial vehicles' mobile devices and applications
                            on a single platform.



                            Through our partnerships with industry leaders at
                            every stage of 

                            the supply chain, we empower fleets with endless
                            opportunities to innovate and create solutions that
                            evolve as their businesses grow.
                        domain:
                          type: string
                          example: platformscience.com
                        founded_year:
                          type: number
                          nullable: true
                          example: 2015
                        hashtags:
                          type: array
                          items:
                            type: string
                            example: innovation
                          example:
                            - innovation
                            - platformscience
                            - trucking
                        headcount_exact:
                          type: number
                          example: 307
                        headcount_range:
                          type: string
                          example: 201-500
                        hq_additional_info:
                          type: string
                          nullable: true
                          example: Ste 100
                        hq_city:
                          type: string
                          example: San Diego
                        hq_country:
                          type: string
                          example: United States
                        hq_country_code:
                          type: string
                          example: US
                        hq_postal_code:
                          type: string
                          nullable: true
                          example: '92121'
                        hq_state:
                          type: string
                          nullable: true
                          example: California
                        hq_street:
                          type: string
                          example: 9620 Towne Centre Dr
                        industry:
                          type: string
                          example: Software Development
                        linkedin_id:
                          type: string
                          example: '18000638'
                        linkedin_link:
                          type: string
                          example: https://www.linkedin.com/company/platform-science/
                        linkedin_sales_link:
                          type: string
                          example: https://www.linkedin.com/sales/company/18000638/
                        linkedin_urn:
                          type: string
                          example: platform-science
                        location:
                          type: string
                          example: San Diego, California, United States
                        logo_url:
                          type: string
                          example: >-
                            https://media.licdn.com/dms/image/v2/C560BAQFwDh5F4FjKSg/company-logo_200_200/company-logo_200_200/0/1630640177343/platform_science_logo?e=1741219200&v=beta&t=15yZwQUYLQyFiNhVZJIA6c0RoW1pmh4SgbwrIt3DTaU
                        name:
                          type: string
                          example: Platform Science
                        number_of_locations:
                          type: number
                          example: 1
                        other_locations_json:
                          type: array
                          items: {}
                          example: []
                        phone_number:
                          nullable: true
                          example: null
                        raw_name:
                          type: string
                          example: Platform Science
                        specialities:
                          type: array
                          items: {}
                          example: []
                        tagline:
                          type: string
                          example: >-
                            Making it easy for enterprise trucking fleets to
                            develop, deploy, and manage mobile devices and
                            applications.
                        website:
                          type: string
                          example: http://www.platformscience.com
                    example:
                      - background_image: >-
                          https://media.licdn.com/dms/image/v2/D561BAQH-LSq7Ba0bIw/company-background_10000/company-background_10000/0/1661361722654/platform_science_cover?e=1733781600&v=beta&t=nNQUFM5YTQNAeH2xQ4IN1g00oUwIxL6LmP-80VJrB2g
                        company_type: Privately Held
                        crunchbase_urn: platform-science
                        description: >-
                          Since 2015, Platform Science has connected fleets
                          across the nation with the tools they need to take
                          control of their technology. As part of our ongoing
                          mission to transform transportation, we've made it
                          easy for fleets to develop, deploy, and manage their
                          commercial vehicles' mobile devices and applications
                          on a single platform.



                          Through our partnerships with industry leaders at
                          every stage of 

                          the supply chain, we empower fleets with endless
                          opportunities to innovate and create solutions that
                          evolve as their businesses grow.
                        domain: platformscience.com
                        founded_year: 2015
                        hashtags:
                          - innovation
                          - platformscience
                          - trucking
                        headcount_exact: 307
                        headcount_range: 201-500
                        hq_additional_info: Ste 100
                        hq_city: San Diego
                        hq_country: United States
                        hq_country_code: US
                        hq_postal_code: '92121'
                        hq_state: California
                        hq_street: 9620 Towne Centre Dr
                        industry: Software Development
                        linkedin_id: '18000638'
                        linkedin_link: https://www.linkedin.com/company/platform-science/
                        linkedin_sales_link: https://www.linkedin.com/sales/company/18000638/
                        linkedin_urn: platform-science
                        location: San Diego, California, United States
                        logo_url: >-
                          https://media.licdn.com/dms/image/v2/C560BAQFwDh5F4FjKSg/company-logo_200_200/company-logo_200_200/0/1630640177343/platform_science_logo?e=1741219200&v=beta&t=15yZwQUYLQyFiNhVZJIA6c0RoW1pmh4SgbwrIt3DTaU
                        name: Platform Science
                        number_of_locations: 1
                        other_locations_json: []
                        phone_number: null
                        raw_name: Platform Science
                        specialities: []
                        tagline: >-
                          Making it easy for enterprise trucking fleets to
                          develop, deploy, and manage mobile devices and
                          applications.
                        website: http://www.platformscience.com
                      - background_image: >-
                          https://media.licdn.com/dms/image/v2/C4E1BAQGQDeszLg8-bQ/company-background_10000/company-background_10000/0/1584798432532/pivotal_software_inc_cover?e=1733781600&v=beta&t=po2KejTkWo6n4wTKKFdcq2PJ5_0BO3LtGDH8NTa-psk
                        company_type: Public Company
                        crunchbase_urn: pivotal
                        description: >-
                          VMware Tanzu helps you modernize your applications and
                          infrastructure with a common goal: deliver better
                          software to production, continuously. The portfolio
                          simplifies multi-cloud operations, while freeing
                          developers to move faster and access the right
                          resources for building the best applications. VMware
                          Tanzu enables development and operations' teams to
                          work together in new ways that deliver transformative
                          business results.
                        domain: vmware.com
                        founded_year: null
                        hashtags: []
                        headcount_exact: 271
                        headcount_range: 1001-5000
                        hq_additional_info: Fifth Floor
                        hq_city: San Francisco
                        hq_country: United States
                        hq_country_code: US
                        hq_postal_code: '94103'
                        hq_state: California
                        hq_street: 875 Howard Street
                        industry: Software Development
                        linkedin_id: '3048967'
                        linkedin_link: >-
                          https://www.linkedin.com/company/pivotal-software-inc./
                        linkedin_sales_link: https://www.linkedin.com/sales/company/3048967/
                        linkedin_urn: pivotal-software-inc.
                        location: San Francisco, California, United States
                        logo_url: >-
                          https://media.licdn.com/dms/image/v2/C560BAQEDUiaAXDr9tQ/company-logo_200_200/company-logo_200_200/0/1630621022655/pivotal_software_inc_logo?e=1741219200&v=beta&t=ZjLtQx9D3dr7nCau3PRRer33CUnUvl1i16hQTnBPiIk
                        name: Pivotal Software
                        number_of_locations: 13
                        other_locations_json:
                          - additional_info: Sixth Floor
                            city: New York
                            country: United States
                            description: New York
                            postal_code: 10011-2020
                            state: New York
                            street: 636 Avenue of the Americas
                          - additional_info: null
                            city: Toronto
                            country: Canada
                            description: Toronto
                            postal_code: M5C 2V6
                            state: Ontario
                            street: 1 Toronto Street Suite 1100
                          - additional_info: Second Floor
                            city: London
                            country: United Kingdom
                            description: London
                            postal_code: 'EC1V 9NR '
                            state: London
                            street: The Warehouse, 211 Old Street
                          - additional_info: null
                            city: Denver
                            country: United States
                            description: Denver
                            postal_code: '80202'
                            state: CO
                            street: 1644 Platte St
                          - additional_info: Suite 7500
                            city: Atlanta
                            country: United States
                            description: Atlanta
                            postal_code: '30308'
                            state: GA
                            street: '675 Ponce de Leon Avenue NE '
                          - additional_info: Level 16
                            city: Singapore
                            country: Singapore
                            description: Singapore
                            postal_code: '068907'
                            state: Singapore
                            street: 140 Robinson Road
                          - additional_info: Suite 1305
                            city: Chicago
                            country: United States
                            description: Chicago
                            postal_code: '60654'
                            state: Illinois
                            street: 222 W Merchandise Mart Plaza
                          - additional_info: null
                            city: Dallas
                            country: United States
                            description: Dallas
                            postal_code: null
                            state: Texas
                            street: 3001 Hackberry Rd
                          - additional_info: Suite 200
                            city: Santa Monica
                            country: United States
                            description: Los Angeles
                            postal_code: '90401'
                            state: California
                            street: 1333 2nd Street
                          - additional_info: Third Floor
                            city: Seattle
                            country: United States
                            description: Seattle
                            postal_code: '98104'
                            state: Washington
                            street: 111 S Jackson St
                          - additional_info: Suite 601
                            city: Washington, D.C.
                            country: United States
                            description: Washington, D.C.
                            postal_code: '20006'
                            state: DC
                            street: 1625 I St NW
                          - additional_info: Sixth Floor
                            city: Cambridge
                            country: United States
                            description: Cambridge
                            postal_code: '02142'
                            state: MA
                            street: 255 Main St
                        phone_number: null
                        raw_name: Pivotal Software, Inc.
                        specialities:
                          - big data
                          - cloud computing
                          - hadoop
                          - analytics
                          - software
                          - open source software
                          - containerization
                          - private cloud
                          - data science
                          - cloud foundry
                          - mobile software development
                          - platform-as-a-service
                          - hybrid cloud
                          - microservices
                          - pair programming
                          - agile development
                        tagline: >-
                          We've moved! Follow us at VMware Tanzu:
                          https://bit.ly/VMwareTanzuLinkedIn
                        website: https://cloud.vmware.com/tanzu
                      - background_image: >-
                          https://media.licdn.com/dms/image/v2/D4E1BAQHzLZJfSBt5-Q/company-background_10000/company-background_10000/0/1715298939407/kickstarter_cover?e=1733781600&v=beta&t=hlYd_IVSuB_24TF-wSqWWcUHUpjwoZ79rTLb-Ka4eis
                        company_type: Privately Held
                        crunchbase_urn: kickstarter
                        description: >-
                          Kickstarter helps creative projects come to life.
                          Backers have pledged over $7B to projects on our
                          platform, helping artists, musicians, filmmakers,
                          designers, and other creators make their ideas a
                          reality.


                          In 2022, we'll be experimenting with a
                          work-from-anywhere policy, a four-day workweek, and
                          new asynchronous work practices that support a fully
                          virtual and flexible work environment. 
                            
                          Current job openings listed at jobs.kickstarter.com
                        domain: kck.st
                        founded_year: 2009
                        hashtags: []
                        headcount_exact: 340
                        headcount_range: 201-500
                        hq_additional_info: null
                        hq_city: Work From Anywhere
                        hq_country: United States
                        hq_country_code: US
                        hq_postal_code: null
                        hq_state: null
                        hq_street: Fully Virtual
                        industry: Software Development
                        linkedin_id: '413999'
                        linkedin_link: https://www.linkedin.com/company/kickstarter/
                        linkedin_sales_link: https://www.linkedin.com/sales/company/413999/
                        linkedin_urn: kickstarter
                        location: United States
                        logo_url: >-
                          https://media.licdn.com/dms/image/v2/D560BAQGc1nYjgaNebw/company-logo_200_200/company-logo_200_200/0/1708024813718/kickstarter_logo?e=1741219200&v=beta&t=JP5QWgE_QQuHUvJLqdslb3h_OID-eBSJ8F2H9TuIZTU
                        name: Kickstarter
                        number_of_locations: 1
                        other_locations_json: []
                        phone_number: null
                        raw_name: Kickstarter
                        specialities: []
                        tagline: Bringing creative projects to life.
                        website: https://kck.st/3Gsc7QW
                  results_count:
                    type: number
                    example: 522
                  time_cached:
                    type: string
                    example: '2024-12-02T21:57:53.469659'
              examples:
                '200':
                  value:
                    amount: -3
                    companies:
                      - background_image: >-
                          https://media.licdn.com/dms/image/v2/D561BAQH-LSq7Ba0bIw/company-background_10000/company-background_10000/0/1661361722654/platform_science_cover?e=1733781600&v=beta&t=nNQUFM5YTQNAeH2xQ4IN1g00oUwIxL6LmP-80VJrB2g
                        company_type: Privately Held
                        crunchbase_urn: platform-science
                        description: >-
                          Since 2015, Platform Science has connected fleets
                          across the nation with the tools they need to take
                          control of their technology. As part of our ongoing
                          mission to transform transportation, we've made it
                          easy for fleets to develop, deploy, and manage their
                          commercial vehicles' mobile devices and applications
                          on a single platform.



                          Through our partnerships with industry leaders at
                          every stage of 

                          the supply chain, we empower fleets with endless
                          opportunities to innovate and create solutions that
                          evolve as their businesses grow.
                        domain: platformscience.com
                        founded_year: 2015
                        hashtags:
                          - innovation
                          - platformscience
                          - trucking
                        headcount_exact: 307
                        headcount_range: 201-500
                        hq_additional_info: Ste 100
                        hq_city: San Diego
                        hq_country: United States
                        hq_country_code: US
                        hq_postal_code: '92121'
                        hq_state: California
                        hq_street: 9620 Towne Centre Dr
                        industry: Software Development
                        linkedin_id: '18000638'
                        linkedin_link: https://www.linkedin.com/company/platform-science/
                        linkedin_sales_link: https://www.linkedin.com/sales/company/18000638/
                        linkedin_urn: platform-science
                        location: San Diego, California, United States
                        logo_url: >-
                          https://media.licdn.com/dms/image/v2/C560BAQFwDh5F4FjKSg/company-logo_200_200/company-logo_200_200/0/1630640177343/platform_science_logo?e=1741219200&v=beta&t=15yZwQUYLQyFiNhVZJIA6c0RoW1pmh4SgbwrIt3DTaU
                        name: Platform Science
                        number_of_locations: 1
                        other_locations_json: []
                        phone_number: null
                        raw_name: Platform Science
                        specialities: []
                        tagline: >-
                          Making it easy for enterprise trucking fleets to
                          develop, deploy, and manage mobile devices and
                          applications.
                        website: http://www.platformscience.com
                      - background_image: >-
                          https://media.licdn.com/dms/image/v2/C4E1BAQGQDeszLg8-bQ/company-background_10000/company-background_10000/0/1584798432532/pivotal_software_inc_cover?e=1733781600&v=beta&t=po2KejTkWo6n4wTKKFdcq2PJ5_0BO3LtGDH8NTa-psk
                        company_type: Public Company
                        crunchbase_urn: pivotal
                        description: >-
                          VMware Tanzu helps you modernize your applications and
                          infrastructure with a common goal: deliver better
                          software to production, continuously. The portfolio
                          simplifies multi-cloud operations, while freeing
                          developers to move faster and access the right
                          resources for building the best applications. VMware
                          Tanzu enables development and operations' teams to
                          work together in new ways that deliver transformative
                          business results.
                        domain: vmware.com
                        founded_year: null
                        hashtags: []
                        headcount_exact: 271
                        headcount_range: 1001-5000
                        hq_additional_info: Fifth Floor
                        hq_city: San Francisco
                        hq_country: United States
                        hq_country_code: US
                        hq_postal_code: '94103'
                        hq_state: California
                        hq_street: 875 Howard Street
                        industry: Software Development
                        linkedin_id: '3048967'
                        linkedin_link: >-
                          https://www.linkedin.com/company/pivotal-software-inc./
                        linkedin_sales_link: https://www.linkedin.com/sales/company/3048967/
                        linkedin_urn: pivotal-software-inc.
                        location: San Francisco, California, United States
                        logo_url: >-
                          https://media.licdn.com/dms/image/v2/C560BAQEDUiaAXDr9tQ/company-logo_200_200/company-logo_200_200/0/1630621022655/pivotal_software_inc_logo?e=1741219200&v=beta&t=ZjLtQx9D3dr7nCau3PRRer33CUnUvl1i16hQTnBPiIk
                        name: Pivotal Software
                        number_of_locations: 13
                        other_locations_json:
                          - additional_info: Sixth Floor
                            city: New York
                            country: United States
                            description: New York
                            postal_code: 10011-2020
                            state: New York
                            street: 636 Avenue of the Americas
                          - additional_info: null
                            city: Toronto
                            country: Canada
                            description: Toronto
                            postal_code: M5C 2V6
                            state: Ontario
                            street: 1 Toronto Street Suite 1100
                          - additional_info: Second Floor
                            city: London
                            country: United Kingdom
                            description: London
                            postal_code: 'EC1V 9NR '
                            state: London
                            street: The Warehouse, 211 Old Street
                          - additional_info: null
                            city: Denver
                            country: United States
                            description: Denver
                            postal_code: '80202'
                            state: CO
                            street: 1644 Platte St
                          - additional_info: Suite 7500
                            city: Atlanta
                            country: United States
                            description: Atlanta
                            postal_code: '30308'
                            state: GA
                            street: '675 Ponce de Leon Avenue NE '
                          - additional_info: Level 16
                            city: Singapore
                            country: Singapore
                            description: Singapore
                            postal_code: '068907'
                            state: Singapore
                            street: 140 Robinson Road
                          - additional_info: Suite 1305
                            city: Chicago
                            country: United States
                            description: Chicago
                            postal_code: '60654'
                            state: Illinois
                            street: 222 W Merchandise Mart Plaza
                          - additional_info: null
                            city: Dallas
                            country: United States
                            description: Dallas
                            postal_code: null
                            state: Texas
                            street: 3001 Hackberry Rd
                          - additional_info: Suite 200
                            city: Santa Monica
                            country: United States
                            description: Los Angeles
                            postal_code: '90401'
                            state: California
                            street: 1333 2nd Street
                          - additional_info: Third Floor
                            city: Seattle
                            country: United States
                            description: Seattle
                            postal_code: '98104'
                            state: Washington
                            street: 111 S Jackson St
                          - additional_info: Suite 601
                            city: Washington, D.C.
                            country: United States
                            description: Washington, D.C.
                            postal_code: '20006'
                            state: DC
                            street: 1625 I St NW
                          - additional_info: Sixth Floor
                            city: Cambridge
                            country: United States
                            description: Cambridge
                            postal_code: '02142'
                            state: MA
                            street: 255 Main St
                        phone_number: null
                        raw_name: Pivotal Software, Inc.
                        specialities:
                          - big data
                          - cloud computing
                          - hadoop
                          - analytics
                          - software
                          - open source software
                          - containerization
                          - private cloud
                          - data science
                          - cloud foundry
                          - mobile software development
                          - platform-as-a-service
                          - hybrid cloud
                          - microservices
                          - pair programming
                          - agile development
                        tagline: >-
                          We've moved! Follow us at VMware Tanzu:
                          https://bit.ly/VMwareTanzuLinkedIn
                        website: https://cloud.vmware.com/tanzu
                      - background_image: >-
                          https://media.licdn.com/dms/image/v2/D4E1BAQHzLZJfSBt5-Q/company-background_10000/company-background_10000/0/1715298939407/kickstarter_cover?e=1733781600&v=beta&t=hlYd_IVSuB_24TF-wSqWWcUHUpjwoZ79rTLb-Ka4eis
                        company_type: Privately Held
                        crunchbase_urn: kickstarter
                        description: >-
                          Kickstarter helps creative projects come to life.
                          Backers have pledged over $7B to projects on our
                          platform, helping artists, musicians, filmmakers,
                          designers, and other creators make their ideas a
                          reality.


                          In 2022, we'll be experimenting with a
                          work-from-anywhere policy, a four-day workweek, and
                          new asynchronous work practices that support a fully
                          virtual and flexible work environment. 
                            
                          Current job openings listed at jobs.kickstarter.com
                        domain: kck.st
                        founded_year: 2009
                        hashtags: []
                        headcount_exact: 340
                        headcount_range: 201-500
                        hq_additional_info: null
                        hq_city: Work From Anywhere
                        hq_country: United States
                        hq_country_code: US
                        hq_postal_code: null
                        hq_state: null
                        hq_street: Fully Virtual
                        industry: Software Development
                        linkedin_id: '413999'
                        linkedin_link: https://www.linkedin.com/company/kickstarter/
                        linkedin_sales_link: https://www.linkedin.com/sales/company/413999/
                        linkedin_urn: kickstarter
                        location: United States
                        logo_url: >-
                          https://media.licdn.com/dms/image/v2/D560BAQGc1nYjgaNebw/company-logo_200_200/company-logo_200_200/0/1708024813718/kickstarter_logo?e=1741219200&v=beta&t=JP5QWgE_QQuHUvJLqdslb3h_OID-eBSJ8F2H9TuIZTU
                        name: Kickstarter
                        number_of_locations: 1
                        other_locations_json: []
                        phone_number: null
                        raw_name: Kickstarter
                        specialities: []
                        tagline: Bringing creative projects to life.
                        website: https://kck.st/3Gsc7QW
                    results_count: 522
                    time_cached: '2024-12-02T21:57:53.469659'
                200 (Companies not found):
                  value:
                    amount: 0
                    companies: []
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Use 'Token <api-key>' as the value

````